ElectronicLoad 1.0 Programmable Constant Current Sink

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
displayValues_t Struct Reference

Holds all values used for Display Purposes. More...

## Data Fields
char | checksumErrorChar
| Character to appear on Position "Checksum Error". More...
int32_t | litersTemp
| For averaging. More...
uint8_t | literUnitChar
| Holds a small or capital letter 'L'. More...
uint8_t | nlitersTemp
| Number of values added to liters_temp. More...
char | not10ErrorChar
| Character to appear on Position "More or less than 10 Values received". More...
char | parityErrorChar
| Character to appear on Position "Parity Error". More...
char | sensorDeadChar
| Character to appear on Position "SensorDead". More...
int8_t | tempSemi
| The temperature in 0.5°C-units. More...

## Detailed Description

Holds all values used for Display Purposes.

Display routines should only use values of this struct and every value you want to be displayed should be placed here. By this mechanism we can decouple updating values from displaying values.
Exceptions are e.g. the ADC-values for the display sensors as it does not make sense to duplicate them here.
There are some char-values for error flags. They contain the character value to be displayed on the corresponding position (i.e. SPACE if no error persists). They are set asynchronously but if the current page needs them, it takes them from here (just like all the other values).

## Field Documentation

char checksumErrorChar

Character to appear on Position "Checksum Error".

int32_t litersTemp

For averaging.

uint8_t literUnitChar

Holds a small or capital letter 'L'.

uint8_t nlitersTemp

Number of values added to liters_temp.

char not10ErrorChar

Character to appear on Position "More or less than 10 Values received".

char parityErrorChar

Character to appear on Position "Parity Error".

char sensorDeadChar

Character to appear on Position "SensorDead".

int8_t tempSemi

The temperature in 0.5°C-units.

The documentation for this struct was generated from the following file:

- Eload.h